Bug 254245 - multimedia/qmmp-qt5: fix leftover files in poudriere testport or poudriere bulk -t
Summary: multimedia/qmmp-qt5: fix leftover files in poudriere testport or poudriere bu...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2021-03-12 20:14 UTC by Matthias Andree
Modified: 2021-03-28 21:10 UTC (History)
2 users (show)

See Also:
mandree: maintainer-feedback-


Attachments
fix leftover files in poudriere testport or bulk -t (543 bytes, patch)
2021-03-12 20:14 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2021-03-12 20:14:52 UTC
Created attachment 223221 [details]
fix leftover files in poudriere testport or bulk -t

A poudriere testport or poudriere bulk -t fails as shown below. The FreeBSD porter's handbook states that Qt ports do not require INSTALL_ICONS, so I propose to remove it (-> patch). Bumps PORTREVISION at the same time.

Error log from poudriere:

[00:11:57] Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):
[00:11:57] 
[00:11:57] Installed packages to be REMOVED:
[00:11:57] 	qmmp-qt5: 1.2.0_9
[00:11:57] 
[00:11:57] Number of packages to be removed: 1
[00:11:57] 
[00:11:57] The operation will free 10 MiB.
[00:11:57] [122amd64-svn-job-03] [1/1] Deinstalling qmmp-qt5-1.2.0_9...
[00:11:57] [122amd64-svn-job-03] [1/1] Deleting files for qmmp-qt5-1.2.0_9: .......... done
[00:11:58] ===========================================================================
[00:11:58] =>> Checking for extra files and directories
[00:12:00] =>> Error: Files or directories left over:
[00:12:00] share/icons/hicolor/icon-theme.cache
Comment 1 Matthias Andree freebsd_committer 2021-03-12 20:15:40 UTC
This, by contrast, is the same poudriere command line with the patch applied - no leftover files:

[00:03:04] =======================<phase: deinstall      >============================
[00:03:04] ===>  Deinstalling for qmmp-qt5
[00:03:04] ===>   Deinstalling qmmp-qt5-1.2.0_10
[00:03:04] Updating database digests format: .......... done
[00:03:04] Checking integrity... done (0 conflicting)
[00:03:04] Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):
[00:03:04] 
[00:03:04] Installed packages to be REMOVED:
[00:03:04] 	qmmp-qt5: 1.2.0_10
[00:03:04] 
[00:03:04] Number of packages to be removed: 1
[00:03:04] 
[00:03:04] The operation will free 10 MiB.
[00:03:04] [122amd64-svn-job-01] [1/1] Deinstalling qmmp-qt5-1.2.0_10...
[00:03:04] [122amd64-svn-job-01] [1/1] Deleting files for qmmp-qt5-1.2.0_10: .......... done
[00:03:04] ===========================================================================
[00:03:04] =>> Checking for extra files and directories
[00:03:05] =>> Cleaning up wrkdir
[00:03:06] ===>  Cleaning for qmmp-qt5-1.2.0_10
Comment 2 Fernando Apesteguía freebsd_committer 2021-03-15 10:55:58 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 3 Matthias Andree freebsd_committer 2021-03-28 21:06:45 UTC
maintainer timeout, 16d, liangtai.s16@gmail.com
Comment 4 commit-hook freebsd_committer 2021-03-28 21:10:04 UTC
A commit references this bug:

Author: mandree
Date: Sun Mar 28 21:09:43 UTC 2021
New revision: 569414
URL: https://svnweb.freebsd.org/changeset/ports/569414

Log:
  multimedia/qmmp-qt5: fix leftover files

  Remove INSTALL_ICONS to solve this build issue:

  [00:11:58] =>> Checking for extra files and directories
  [00:12:00] =>> Error: Files or directories left over:
  [00:12:00] share/icons/hicolor/icon-theme.cache

  INSTALL_ICONS is documented as not required for Qt-based ports.

  PR:		254245
  Submitted by:	mandree@
  Approved by:	maintainer timeout, 16d, liangtai.s16@gmail.com

Changes:
  head/multimedia/qmmp-qt5/Makefile